package com.xintong.visualinspection.dao.master;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.bean.CheckApply;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface CheckApplyDao  {
    public List<CheckApply> getList(CheckApply param);
    public CheckApply getOne(Long id);
    public CheckApply getOneByTaskId(Long id);
    public void insert(CheckApply checkApply);
    public void update(CheckApply checkApply);
    public void delete(Long id);
    public List<CheckApply> getTopReasonList(Map<String,Object> param);
}
